/**
 * Java
 * Copyright 2012-2014 IS2T. All rights reserved
 * For demonstration purpose only
 * IS2T PROPRIETARY / Use is subject to license terms.
 */
package com.is2t.example;

import com.is2t.microej.frontpanel.input.generator.EventGenerator;
import com.is2t.microej.frontpanel.input.listener.PushButtonListener;

public class MyButtonListener implements PushButtonListener {

	/*
	 * Name of buttons EventGenerator
	 */
	private String eventName = "HWBUTTONS";
	
	@Override
	public void press(int buttonId) {
		EventGenerator.sendButtonPressedEvent(eventName, buttonId);
	}

	@Override
	public void release(int buttonId) {
		EventGenerator.sendButtonReleasedEvent(eventName, buttonId);
	}
	
}
