package com.is2t.example;

import ej.microui.Event;
import ej.microui.Listener;
import ej.microui.io.Buttons;

public class MyEventListener implements Listener {

	private final MyModel model;
	
	public MyEventListener(MyModel model) {
		this.model = model;
	}
	
	public void performAction() {
	}

	public void performAction(int event) {
		int type = Event.getType(event);
		if(type == Event.BUTTON || type == Event.POINTER) {
			int action = Buttons.getAction(event);
			if( action == Buttons.PRESSED ) {
				System.out.println("button was pressed");
				this.model.setSelected(true);
			} else if( action == Buttons.RELEASED ) {
				System.out.println("button was released");
				this.model.setSelected(false);
			}
		}
	}

	public void performAction(int value, Object object) {
	}

}
