package com.is2t.example;

import ej.microui.Colors;
import ej.microui.io.GraphicsContext;
import ej.microui.io.View;

public class MyView extends View {

	public MyView(int x, int y, int width, int height) {
		super(x, y, width, height);
	}

	public void paint(GraphicsContext g) {
		MyModel model = (MyModel) getModel();
		int w = getWidth();
		int h = getHeight();
		g.setColor(Colors.WHITE);
		g.fillRect(0, 0, w, h);
		if (model.isSelected()) {
			g.setColor(Colors.RED);
			g.fillRect(w / 3, 0, w / 3, h);
			g.fillRect(0, h / 3, w, h / 3);
		} else {
			g.setColor(Colors.BLUE);
			g.fillRect(0, 0, w / 3, h);
			g.setColor(Colors.RED);
			g.fillRect(w - (w / 3), 0, w / 3, h);
		}
	}

}
