/**
 * Java
 * Copyright 2012-2014 IS2T. All rights reserved
 * For demonstration purpose only
 * IS2T PROPRIETARY / Use is subject to license terms.
 */
package com.is2t.example;

import com.is2t.microej.frontpanel.input.generator.EventGenerator;
import com.is2t.microej.frontpanel.input.listener.PointerListener;

public class MyPointerListener implements PointerListener {

	/*
	 * Name of touch EventGenerator
	 */
	private String eventName = "TOUCH";
	
	@Override
	public void move(int x, int y) {
		EventGenerator.sendPointerMovedEvent(eventName, x, y, true);
	}

	@Override
	public void press(int x, int y, int pointerId) {
		EventGenerator.sendPointerPressedEvent(eventName, pointerId, x, y, true);
	}

	@Override
	public void release(int x, int y, int pointerId) {
		EventGenerator.sendPointerReleasedEvent(eventName, pointerId);
	}
	
}
